Deployments.ai Docs
Email

Create a sending tenant

POST /v1/email/tenants · SDK createEmailTenant · CLI deployments email-tenant create

POST
/v1/email/tenants

Requires email:admin.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120

Response Body

EmailTenantResponse

application/json
  1. response
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
status*string
Value in"active""paused"
region*string
providerName*string
configurationSetName*string
sendingStatus*string
Value in"provisioning""enabled""reinstated""disabled"
providerId?string
providerArn?string
curl -X POST "https://example.com/v1/email/tenants" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "environmentId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "name": "string",  "status": "active",  "region": "string",  "providerName": "string",  "configurationSetName": "string",  "sendingStatus": "provisioning",  "providerId": "string",  "providerArn": "string"}